<div class="container">
    
    <div class="card mb-3" >
        <!--Cabezera card-->
        <div class="card-header">
            <div class="row d-flex justify-content-center">
                Modificar desembolso.
            </div>
        </div>

        <!--Cuerpo card-->
        <div class="card-body" *ngFor="let item of lista">
            <!--fila-->
            <div class="form-group">
                <label for="nombre_ac">Nombre AC</label>
                <input type="text" class="form-control" id="nombre_ac" [(ngModel)]="item.nombre_ac" [disabled]="inputDisabled">
                <div class="form-text text-danger my-2" *ngIf="!item.nombre_ac">
                    <small>Ingresa nombre AC</small>
                </div>
            </div>
            <!--fila-->
            <div class="form-group">
                <label for="clientes">Clientes</label>
                <input type="text" class="form-control" id="clientes" [(ngModel)]="item.clientes" [disabled]="inputDisabled">
                <div class="form-text text-danger my-2" *ngIf="!item.clientes">
                    <small>Ingresa clientes</small>
                </div>
            </div>
            <!--fila-->
            <div class="form-group">
                <label for="monto">Monto</label>
                <input type="text" class="form-control" id="monto" [(ngModel)]="item.monto" [disabled]="inputDisabled">
                <div class="form-text text-danger my-2" *ngIf="!item.monto">
                    <small>Ingresa monto</small>
                </div>
            </div>
            <!--fila-->
            <div class="form-group">
                <label for="idbanco">Banco</label>
                <select class="custom-select" name="idbanco" id="idbanco" [(ngModel)]="item.idbanco" [disabled]="inputDisabled">
                    <!--<option selected> {{ item.idbanco }} </option>-->
                    <option [ngValue]="1">BBVA Bancomer</option>
                    <option [ngValue]="2">Banamex</option>
                </select>
                <div class="form-text text-danger my-2" *ngIf="!item.idbanco">
                    <small>Selecciona banco</small>
                </div>
            </div>
            <!--fila-->
            <div class="form-group">
                <label for="fecha_desembolso">Fecha Desembolso</label>
                <input type="date" class="form-control" id="fecha_desembolso" [(ngModel)]="item.fecha_desembolso" [disabled]="inputDisabled">
                <div class="form-text text-danger my-2" *ngIf="!item.fecha_desembolso">
                    <small>Ingresa fecha desembolso</small>
                </div>
            </div>
            <!--fila-->
            <div class="form-group">
                <label for="idsucursal">Sucursal</label>
                <select class="custom-select" id="idsucursal" [(ngModel)]="item.idsucursal" [disabled]="inputDisabled">
                    <!--<option selected> {{ item.idsucursal }} </option>-->
                    <option [ngValue]="1">Xalapa</option>
                    <option [ngValue]="2">Teziutlán</option>
                    <option [ngValue]="3">Oaxaca</option>
                    <option [ngValue]="4">Puebla</option>
                </select>
                <div class="form-text text-danger my-2" *ngIf="!item.idsucursal">
                    <small>Selecciona sucursal</small>
                </div>
            </div>
            <!--fila-->
            <div class="form-group">
                <label for="idregional">Regional</label>
                <select class="custom-select" id="idregional" [(ngModel)]="item.idregional" [disabled]="inputDisabled">
                    <!--<option selected> {{ item.idregional }}</option>-->
                    <option [ngValue]="1">Veracruz</option>
                    <option [ngValue]="2">Puebla</option>
                    <option [ngValue]="3">Oaxaca</option>
                </select>
                <div class="form-text text-danger my-2" *ngIf="!item.idregional">
                    <small>Selecciona regional</small>
                </div>
            </div>
            <div class="row d-flex justify-content-center mt-3">
                <button type="button" class="btn btn-warning mb-3" (click)="editDesembolso(item)" *ngIf="seenButtonEdit">Editar</button>
                <button type="button" class="btn btn-success mb-3" (click)="updateDesembolso(item)" *ngIf="seenButtonSave">Guardar</button>
                <button type="button" class="btn btn-danger mb-3 mx-2" [routerLink]="['/modificar']">Cancelar</button>
            </div>
            
        </div>

    </div>
</div>

<app-footer></app-footer>